
  /* Button to open modal */
  .open-modal-btn {
    
        padding: 6px 10px;
        font-size: 13px;
        background-color: #fff;
        color: #182333;
        border: none;
        cursor: pointer;
        transition: background-color 0.3s ease;
        border: 2px solid #000;
      
  }
  
  .open-modal-btn:hover {
    background-color: #ffffff;
    color: #1a5493;
  }
  
  /* Modal Overlay (hidden by default) */
  .modal-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1000;
    justify-content: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
  }
  
  /* Modal Content */
  .modal-content {
    background-color: #fff;
    padding: 30px;
    border-radius: 10px;
    width: 600px;
    text-align: center;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transform: translateY(-30px);
    opacity: 0;
    transition: opacity 0.3s ease, transform 0.3s ease;
  }
  
  .modal-overlay.open {
    display: flex;
    opacity: 1;
    visibility: visible;
  }
  
  .modal-overlay.open .modal-content {
    opacity: 1;
    transform: translateY(0);
  }
  
  /* Close Button */
  .close-modal-btn {
    margin-top: 20px;
    padding: 10px 20px;
    background-color: #333;
    color: #fff;
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
  }
  
  .close-modal-btn:hover {
    background-color: #555;
  }
  